=== requirements.txt ===
black; implementation_name == "cpython"
cmake
flake8
jinja2
lxml
pygments == 2.7.4
pytest
pytest-cov
pyutilib
coverage
codecov
wheel
