=== gcovr/tests/cmake_oos/CMakeLists.txt ===

cmake_minimum_required(VERSION 3.12 FATAL_ERROR)

project(gcovrtest)

    add_executable(gcovrtest main.cpp)
