=== debian/changelog ===
gcovr (5.0-2) unstable; urgency=medium

  * Fix FTBFS due to false assembly of PYTHONPATH during build
    (Closes: #1002411)

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Wed, 22 Dec 2021 18:46:13 +0100

gcovr (5.0-1) unstable; urgency=medium

  * New upstream version 5.0
  * Drop dependency on lcov (Closes: #987818)
  * Generate manpage at build time
  * Add Upstream-Contact to debian/copyright
  * Update debian/changelog to reflect recent changes

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Mon, 23 Aug 2021 07:55:04 +0200
