## gcovr 5.2

=== doc/requirements.txt ===
sphinx
sphinx_rtd_theme
sphinxcontrib-autoprogram >= 0.1.5
