=== gcovr/tests/bad++char/Makefile ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 coverage.json:
 	./testcase
-	$(GCOVR) --json coverage.json
+	$(GCOVR) --json-pretty --json coverage.json
 
 txt: coverage.json
 	$(GCOVR) -a $< -o coverage.txt
 
 xml: coverage.json
-	$(GCOVR) -a $< -x -o coverage.xml
+	$(GCOVR) -a $< --cobertura-pretty --cobertura coverage.xml
 
 html: coverage.json
 	$(GCOVR) -a $< --html-details -o coverage.html
@@ -20,7 +20,7 @@
 	$(GCOVR) -a $< --sonarqube -o sonarqube.xml
 
 coveralls: coverage.json
-	$(GCOVR) -a $< --coveralls coveralls.json
+	$(GCOVR) -a $< --coveralls-pretty --coveralls coveralls.json
 
 json_summary:
 	./testcase
