=== gcovr/tests/cmake_oos/Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 #   gcovrtest
 
 BASE_OS:=$(shell uname | cut -d'-' -f1)
-ifeq ($(BASE_OS),MSYS_NT)
+ifeq ($(filter $(BASE_OS),MSYS_NT MINGW64_NT),)
+  CMAKE_GENERATOR := "Unix Makefiles"
+else
   CMAKE_GENERATOR := "MSYS Makefiles"
-else
-  CMAKE_GENERATOR := "Unix Makefiles"
 endif
 
 all:
@@ -24,19 +24,19 @@
 
 coverage.json:
 	cd build && ./gcovrtest
-	$(GCOVR) --json coverage.json
+	$(GCOVR) --json-pretty --json coverage.json
 
 txt: coverage.json
 	$(GCOVR) -a $< -o coverage.txt
 
 xml: coverage.json
-	$(GCOVR) -a $< -x -o coverage.xml
+	$(GCOVR) -a $< --cobertura-pretty --cobertura coverage.xml
 
 html: coverage.json
 	$(GCOVR) -a $< --html-details -o coverage.html
 
 coveralls: coverage.json
-	$(GCOVR) -a $<  --coveralls coveralls.json
+	$(GCOVR) -a $<  --coveralls-pretty --coveralls coveralls.json
 
 sonarqube: coverage.json
 	$(GCOVR) -a $< --sonarqube -o sonarqube.xml
