=== gcovr/tests/coveralls-ci/Makefile ===
--- 
+++ 
@@ -19,11 +19,11 @@
 
 coverage.json:
 	./testcase
-	$(GCOVR) -d --json-pretty -o $@
+	$(GCOVR) -d --json-pretty --json -o $@
 
 coveralls.stub.json: export GCOVR_TEST_SUITE := 1
 coveralls.stub.json: coverage.json
-	$(GCOVR) --add-tracefile $< --coveralls $@
+	$(GCOVR) --add-tracefile $< --coveralls-pretty --coveralls $@
 
 coveralls.travis.json: export TRAVIS_JOB_ID := TRAVIS_JOB_ID
 coveralls.travis.json: export TRAVIS_BUILD_NUMBER := TRAVIS_BUILD_NUMBER
@@ -31,7 +31,7 @@
 coveralls.travis.json: export TRAVIS_BRANCH := test_branch
 coveralls.travis.json: export TRAVIS_COMMIT := TRAVIS_COMMIT
 coveralls.travis.json: coverage.json
-	$(GCOVR) --add-tracefile $< --coveralls $@
+	$(GCOVR) --add-tracefile $< --coveralls-pretty --coveralls $@
 
 coveralls.appveyor.json: export APPVEYOR_URL := APPVEYOR_URL
 coveralls.appveyor.json: export APPVEYOR_JOB_ID := APPVEYOR_JOB_ID
@@ -40,7 +40,7 @@
 coveralls.appveyor.json: export APPVEYOR_PULL_REQUEST_NUMBER := 123
 coveralls.appveyor.json: export APPVEYOR_REPO_BRANCH := test_branch
 coveralls.appveyor.json: coverage.json
-	$(GCOVR) --add-tracefile $< --coveralls $@
+	$(GCOVR) --add-tracefile $< --coveralls-pretty --coveralls $@
 
 coveralls.jenkins.json: export JENKINS_URL := JENKINS_URL
 coveralls.jenkins.json: export JOB_NAME := JOB_NAME
@@ -49,7 +49,7 @@
 coveralls.jenkins.json: export CHANGE_ID := 123
 coveralls.jenkins.json: export BRANCH_NAME := test_branch
 coveralls.jenkins.json: coverage.json
-	$(GCOVR) --add-tracefile $< --coveralls $@
+	$(GCOVR) --add-tracefile $< --coveralls-pretty --coveralls $@
 
 coveralls.github-actions.json: export GITHUB_ACTIONS := GITHUB_ACTIONS
 coveralls.github-actions.json: export GITHUB_WORKFLOW := GITHUB_WORKFLOW
@@ -57,7 +57,7 @@
 coveralls.github-actions.json: export GITHUB_SHA := GITHUB_SHA
 coveralls.github-actions.json: export GITHUB_REF := refs/head/test_branch
 coveralls.github-actions.json: coverage.json
-	$(GCOVR) --add-tracefile $< --coveralls $@
+	$(GCOVR) --add-tracefile $< --coveralls-pretty --coveralls $@
 
 coveralls.github-actions-pr.json: export GITHUB_ACTIONS := GITHUB_ACTIONS
 coveralls.github-actions-pr.json: export GITHUB_WORKFLOW := GITHUB_WORKFLOW
@@ -66,7 +66,7 @@
 coveralls.github-actions-pr.json: export GITHUB_HEAD_REF := refs/pull/123/merge
 coveralls.github-actions-pr.json: export GITHUB_REF := test_branch
 coveralls.github-actions-pr.json: coverage.json
-	$(GCOVR) --add-tracefile $< --coveralls $@
+	$(GCOVR) --add-tracefile $< --coveralls-pretty --coveralls $@
 
 clean:
 	rm -f testcase
