=== debian/changelog ===
gcovr (5.2-1) unstable; urgency=medium

  * New usptream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 14 Aug 2022 13:11:55 +0200
