=== debian/changelog ===
gcovr (6.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 09 Jul 2023 09:38:01 +0200
