## gcovr 7.0

=== doc/requirements.txt ===
sphinx
sphinx_rtd_theme
sphinxcontrib-autoprogram >= 0.1.5
rst2html5
