=== gcovr/tests/cmake_gtest/Makefile ===
--- 
+++ 
@@ -6,11 +6,11 @@
 	cmake -G "Ninja" -DCMAKE_BUILD_TYPE=PROFILE -S . -B build
 	cmake --build build -- -v
 
-run: txt cobertura html sonarqube coveralls
+run: txt cobertura html sonarqube jacoco coveralls
 
 coverage.json:
 	cd build && ./gcovr_gtest
-	$(GCOVR) --filter source/ --json-pretty --json coverage.json --object-directory=build
+	$(GCOVR) --filter source/ --json-pretty --json coverage.json --gcov-object-directory=build
 
 txt: coverage.json
 	$(GCOVR) -a $< -o coverage.txt
@@ -27,6 +27,9 @@
 sonarqube: coverage.json
 	$(GCOVR) -a $< --sonarqube -o sonarqube.xml
 
+jacoco: coverage.json
+	$(GCOVR) -a $< --jacoco -o jacoco.xml
+
 clean:
 	rm -rf build
-	rm -f coverage*.* cobertura*.* sonarqube*.* coveralls.json
+	rm -f coverage*.* cobertura*.* sonarqube*.* jacoco*.* coveralls.json
