=== gcovr/tests/decisions-neg-delta/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all:
 	$(CXX) -std=c++11 -fprofile-arcs -ftest-coverage -O0 main.cpp -o testcase
 
-run: html json
+run: html txt json
 
 coverage.json:
 	./testcase
@@ -10,6 +10,9 @@
 html: coverage.json
 	$(GCOVR) --verbose -a coverage.json --decisions --html-details -o coverage.html
 
+txt: coverage.json
+	$(GCOVR) --verbose -a coverage.json --txt-metric decision -o coverage.txt
+
 json: coverage.json
 	# pass
