=== gcovr/tests/decisions/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage main.cpp switch_test.cpp -o testcase

run: html txt json

coverage.json:
	./testcase
	$(GCOVR) --keep --verbose --decisions --json-pretty --json -o coverage.json

html: coverage.json
	$(GCOVR) --verbose -a coverage.json --decisions --html-details -o coverage.html

txt: coverage.json
	$(GCOVR) --verbose -a coverage.json --txt-metric decision -o coverage.txt

json: coverage.json
	# pass

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage*.*
