=== debian/changelog ===
gcovr (7.0-1) unstable; urgency=medium

  * New usptream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 29 Jan 2024 09:12:26 +0100
