=== debian/control ===
Source: gcovr
Section: devel
Priority: optional
Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 11),
               python3,
               python3-setuptools,
               dh-python,
               help2man,
               python3-importlib-metadata,
               python3-lxml,
X-Python3-Version: >= 3.6
Standards-Version: 4.2.1
Homepage: http://gcovr.com/
Vcs-Browser: https://salsa.debian.org/debian/gcovr
Vcs-Git: https://salsa.debian.org/debian/gcovr.git

Package: gcovr
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pkg-resources,
Description: Manages the compilation of coverage information from gcov
 The gcovr command provides a utility for running the gcov command and
 summarizing code coverage results. This command is inspired by the
 Python coverage.py package, which provides a similar utility in
 Python. Further, gcovr can be viewed as a command-line alternative of
 the lcov utility, which runs gcov and generates an HTML output.
