=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

PYTHON3_VERSIONS = $(shell py3versions -r)
PYTHON3_DEFAULT_VERSION = $(shell py3versions -d)
pyalldo = set -e; $(foreach py, $(PYTHON3_VERSIONS), $(py) $(1);)

BIN_NAME = gcovr
BIN_DESCRIPTION = "generate simple coverage reports"

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	PYTHONPATH=debian/gcovr/usr/lib/$(PYTHON3_DEFAULT_VERSION)/dist-packages \
	help2man \
		--name $(BIN_DESCRIPTION) \
		--no-info \
		--version-string $(DEB_VERSION_UPSTREAM) \
		--output debian/$(BIN_NAME).1 \
		debian/gcovr/usr/bin/gcovr
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
