=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/gcovr-$1.tar.gz/" \
   https://github.com/gcovr/gcovr/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
