=== debian/changelog ===
gcovr (7.2-1) unstable; urgency=medium

  * New usptream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 23 Apr 2024 22:09:47 +0200
